Subject: Re: [PATCH] powerpc: SMT priority (PPR) save and restore

From: Michael Neuling <[email-masked]>
Date: Mon, 23 Jul 2012 09:57:44 +1000

> > > Can you break this patch into a few parts that are easier to review than
> > > one giant patch.  Start by adding the PPR ftr bits, then the extra space
> > > in the paca, then the new macros, then use the new infrastructure.  I'm
> > > sure you can get 5 or so patches which will be much easier to review.
> > > 
> > > Also this has been white space munged.  See here:
> > >   http://patchwork.ozlabs.org/patch/170993/
> > > All the #defines are broken.
> > > 
> > > Also, do you know what the impacts of this are on null syscall/page
> > > faults etc on machines which need the PPR switched?  If it's big, we
> > > might want to have this as a CONFIG option for those who don't care and
> > > want the speed bump.
> > 
> > Thanks for your comments. Sure will split this patch in to 5/6 patches. 
> > With Anton's num_syscall test  -
> > http://ozlabs.org/~anton/junkcode/null_syscall.c, noticed 6% overhead.
> > As you suggested, will add CONFIG option for this feature. 
> 
> Eek.. 6%.. yes, definitely a CONFIG option then.

... maybe even a boot time option so we can turn it on and off easily
for distros.

Mikey